<?php
############################################################################
# EWN Forecast v. 2016.1 (Jan 2016)
############################################################################
#
# Author:	Henkka <nordicweather@gmail.com.net>
#
# Copyright:	(c) 2008-2016 Copyright nordicweather.net.
#
############################################################################
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
############################################################################
#
# This work is licensed under the 
# Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License. 
# To view a copy of this license, visit 
# http://creativecommons.org/licenses/by-nc-nd/3.0/.
#
############################################################################

$apikey       = "";   # API-key are not needed.                            
$tzabb        = $SITE['tz'];
$scrollwheel  = 0;                                // Scrollwheel zoom? 1 = yes, 0 = no
$centerlat    = $SITE['latitude'];                         // Latitude of default location
$centerlon    = $SITE['longitude'];                         // Longitude of default location

$deflevel     = 2;                                // Deafult zoomlevel of the map, 0-4
$basemap      = "gray";                           // gray,sat or normal
$defmap       = "fmi_psnow";                       // Default forecastlayer in "Maps"-tab - see readme
$datestyle    = "Y-m-d";
$jqueryload   = true;                             # Should we load JQuery? (Set to false if your site loads it by default)
$bootstrapload = true;                             # Should we load Bootstrap? (Set to false if your site loads it by default)
$mainwidth    = "100%";                           // Use 100% for responsivity
$phonedetect  = 1;                                 // Enable detection of phones, 1 = yes, 0 = no - see readme
$usekmh       = false;                            // Windunit: true - km/h, false - m/s

$path_to_ewn            = $ewn_folder;                  // scripts are run from with in the ewn folder
$path_to_langfiles      = $path_to_ewn."lang/";
$path_to_js             = $path_to_ewn."js/";
$path_to_css            = $path_to_ewn."css/";

# Full URL to forecast-maps - this adds a link to the forecast-maps on the forecast-page. Leave empty to hide the link
$frcmapurl="";                            

$ewnversion    = 2016.2;   # internal version

$adblock=''; # Box for showing ads on forecast front-tab.
$showtest=true; # Show testmaps on the forecastmaps (NOTE! Theese are not for production!)

# END
############################################################################
$lang="en";
if(isset ($_GET['lang']) ){$lang=$_GET['lang'];}
if($lang == "se"){$lang="sv";$oldlang = "se";}
if($lang == "dk"){$lang="da";$oldlang = "dk";}

include_once($path_to_langfiles.'/ewn.lang.'.$lang.'.php');

$wunit="ms";
if(isset ($_COOKIE['ewnwunit'])) {
  $wunit=$_COOKIE[ewnwunit];
}

# Credits
if(isset($map_only)){$tpm="margin-top:10px;";}else{$tpm="";}
$nfrccreds='
<div style="'.$tpm.'padding:4px 0">
<span style="float:right"><a rel="license" href="http://creativecommons.org/licenses/by-nc-nd/3.0/"><img alt="Creative Commons -lisenssi" style="border-width:0" src="http://i.creativecommons.org/l/by-nc-nd/3.0/88x31.png" /></a></span>
&copy; '.date("Y").' <a href="http://www.europeanweathernetwork.eu" target="_blank">European Weathernetwork</a>.
Script by Henkka, <a href="http://www.nordicweather.net" target="_blank">nordicweather.net</a> with help from 
Oebel (<a href="http://www.weerstation-assen.nl" target="_blank">weerstation-assen.nl</a>), 
Henrik (<a href="http://www.silkeborg-vejret.dk" target="_blank">silkeborg-vejret.dk</a>), 
Alex (<a href="http://www.lokaltvader.se" target="_blank">lokaltvader.se</a>), Stefan (<a href="http://www.wetterstation-johanngeorgenstadt.de/" target="_blank">Wetterstation-Johanngeorgenstadt</a>) and
Daniel (<a href="http://www.wetterdienst.de" target="_blank">wetterdienst.de</a>). '.DATAPWS.', 
<a href="http://www.blitzortung.org" target="_blank">Blitzortung</a>,
<a href="http://www.dmi.dk" target="_blank">DMI</a>,
<a href="http://www.dwd.de" target="_blank">DWD</a>,
<a href="http://www.emhi.ee" target="_blank">EMHI</a>,
<a href="http://www.fmi.fi" target="_blank">FMI</a>, 
<a href="http://www.knmi.nl" target="_blank">KNMI</a>, 
<a href="http://www.meteoswiss.admin.ch" target="_blank">MeteoSwiss</a>,
<a href="http://www.meteofrance.com" target="_blank">Meteo France</a>,
<a href="http://www.met.no" target="_blank">MET Norway</a>,
<a href="http://www.smhi.se" target="_blank">SMHI</a>,
<a href="http://www.metoffice.gov.uk" target="_blank">UKMO</a>, 
<a href="https://www.zamg.ac.at" target="_blank">ZAMG</a>, 
<a href="http://www.trafikverket.se" target="_blank">Trafikverket</a>, 
<a href="http://www.liikennevirasto.fi" target="_blank">Liikennevirasto</a>.&nbsp;
'.WARNBX.' <a href="http://www.meteoalarm.eu" target="_blank">Meteoalarm</a>, '.WARNBY.'. <br/>
Reusage without permission forbidden. (version '.$ewnversion.')<br/>
Except where otherwise noted, content on this page is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-nd/3.0/">Creative Commons Attribution 3.0 License</a>.
</div>';

# Use correct file
if($ewntype=="map"){
  include $path_to_ewn.'ewn/ewn_map.php';
}elseif($ewntype=="forecast"){
  include $path_to_ewn.'ewn/ewn_frc.php';
}else{
  include $path_to_ewn.'ewn/ewn_stations.php';
}

function frccurl($url) {
  $ch = curl_init();
  curl_setopt ($ch, CURLOPT_URL, $url);
  curl_setopt ($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; rv:12.0) Gecko/20120424 Firefox/12.0 PaleMoon/12.0');
  curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt ($ch, CURLOPT_TIMEOUT,8);
  curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, 8);
  curl_setopt ($ch, CURLOPT_HEADER, true);
  $response = curl_exec($ch);
  $header_size = curl_getinfo($ch, CURLINFO_HEADER_SIZE);
  $code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
  curl_close($ch);
      
  $header = substr($response, 0, $header_size);
  if(preg_match('|Content-Type|Ui',$rawhtml)){
    list($headers,$rawhtml) = explode("\r\n\r\n",$rawhtml);
  }
      
  preg_match('|last-modified: (.*)\n|Ui', strtolower($header), $lstmod);
  $udate = trim($lstmod[1]);
  if(strlen($udate)<5){
    preg_match('|date: (.*)\n|Ui', strtolower($header), $lstmod);
    $udate = trim($lstmod[1]);
  }
  $budate = strtotime($udate);
  $body = substr($response, $header_size);
  if($code==0){$code=200;}
  return array($body,$budate);
}
?>