<?php
############################################################################
# European Weather Network v. 2016.1 (Jan 2016)
############################################################################
#
# Author:	Henkka <nordicweather@gmail.com.net>
#
# Copyright:	(c) 2008-2016 Copyright nordicweather.net.
#
############################################################################
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
############################################################################
#
# This work is licensed under the 
# Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License. 
# To view a copy of this license, visit 
# http://creativecommons.org/licenses/by-nc-nd/3.0/.
#
############################################################################

date_default_timezone_set("UTC");
$tkey=hash('sha256', 'euweather'.date("dmYH"));
date_default_timezone_set($tzabb);
$frcdata[currlay]=1;
$tzdiff = date("Z")*1000;
$times = frccurl("http://a.maps.nordicweather.net/maptime_e.php?tz=".$tzabb."&tk=".$tkey."&du=".time());
$data = json_decode($times[0],true);

$wunit="ms";
if($_COOKIE[ewnwunit]){
  $wunit=$_COOKIE[ewnwunit];
}
$speedms  = array(0,3,5,8,11,14,17,21,25,29,33);
$speedkmh = array(0,10,20,30,40,50,60,75,90,105,120);
$speedmph = array(0,7,11,18,25,31,38,47,56,65,74);
$speedkts = array(0,6,10,16,21,27,33,41,49,56,64);
if($usekmh==true||$wunit=="kmh"){$wspeeds=$speedkmh;$wunit="km/h";}
if($wunit=="mph"){$wspeeds=$speedmph;$wunit="mph";}
if($wunit=="kts"){$wspeeds=$speedkts;$wunit="kts";}
else{$wspeeds=$speedms;$wunit="m/s";}

$jetms  = array(30,40,50,60,70,80,90,100);
$jetkmh = array(108,144,180,216,252,288,324,360);
$jetmph = array(67,89,112,134,156,179,201,222);
$jetkts = array(58,78,97,116,135,155,174,194);
if($usekmh==true||$wunit=="kmh"){$jet=$jetkmh;}
if($wunit=="mph"){$jet=$jetmph;}
if($wunit=="kts"){$jet=$jetkts;}
else{$jet=$jetms;}

$strmms  = array(0,5, 10,15,20,25,30,35,40,45,50);
$strmkmh = array(0,18,36,54,72,90,108,126,144,162,180);
$strmmph = array(0,11,22,33,44,56,67,78,89,100,112);
$strmkts = array(0,9,19,29,38,48,58,68,78,87,97);
if($usekmh==true||$wunit=="kmh"){$strm=$strmkmh;}
if($wunit=="mph"){$strm=$strmmph;}
if($wunit=="kts"){$strm=$strmkts;}
else{$strm=$strmms;}

foreach ($days as $key => $value) {
  $da[]=utf8_encode($value);
}
$js_array = json_encode($da);

$ewnhead='
<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet"/>
<link href="http://static.nordicweather.net/css/leaflet-0.7.3.min.css" rel="stylesheet"/>
<link href="http://static.nordicweather.net/css/bootstrap_ewn.css?'.$ewnversion .'" rel="stylesheet"/>
<link href="'.$path_to_css.'ewn.css?'.$ewnversion .'" rel="stylesheet" />
';

if($jqueryload ){
  $ewnfooter.='
  <script src="http://static.nordicweather.net/jq/jquery-1.10.2.min.js"></script>';
}
$ewnfooter.='
  <script src="http://static.nordicweather.net/jq/jq_plugins.min.js?'.$ewnversion .'"></script>';
if($bootstrapload ){
  $ewnfooter.='
  <script src="https://netdna.bootstrapcdn.com/bootstrap/3.1.0/js/bootstrap.min.js"></script>';
}
$ewnfooter.='
  <script src="http://static.nordicweather.net/jq/bootstrap_plugins.min.js?'.$ewnversion .'"></script>
  <script src="http://static.nordicweather.net/jq/leaflet-0.7.3.min.js"></script>
  <script src="http://static.nordicweather.net/jq/leaflet_plugins.min.js?'.$ewnversion .'"></script>
<script>
';
if($_GET[lat]||$_GET[geoid]){
$ewnfooter.='
  var deflat='.$centerlat.',deflon='.$centerlon.',ajax=false;
  $(function(){dostuff();});
  ';
}else{
$ewnfooter.='
  var deflat='.$centerlat.',deflon='.$centerlon.',ajax=true;
  var isTouch = Modernizr.touch;
  if(isTouch){
    if(navigator.geolocation){
      function positionSuccess(location) {
        deflat = location.coords.latitude;
        deflon = location.coords.longitude;
        $.cookie("ewnloc", location.coords.latitude+"|"+location.coords.longitude, { expires : 1 });
        dostuff();
      }
      function positionFail() {
        dostuff();
      }
      var options = { enableHighAccuracy: true,timeout: 5000,maximumAge: 240000};
      navigator.geolocation.getCurrentPosition(positionSuccess, positionFail,options);
    }
  }else{
    $(function(){dostuff();});
  }
  ';
}
$ewnfooter.='   
  var baseurl="'.$baseurl.'",p="'.$p.'",mainwidth="'.$mainwidth.'",mousewheel='.$scrollwheel.',tzabb = "'.$tzabb.'",lang = "'.$lang.'",ewnpath="'.$path_to_ewn.'";
  var currlay='.$frcdata[currlay].',defzoom='.$deflevel.',defmap="'.$defmap.'",scrollwheel='.$scrollwheel.',defbase="'.$basemap.'",version='.$ewnversion.';
  var mapconf = '.$times[0].';
  var days = '.$js_array.';
  var fdaynames = ['.$daynames.'];
  var temptxt="'.TEMP.'",barotxt="'.BARO.'",prectxt="'.PRECIP.'",windtxt="'.WIND.'",dewtxt="'.DEWP.'",snowtxt="'.SNOB.'",rangetxt="'.RANGE.'";
</script>
<script src="'.$path_to_js.'ewn_mapleaf.js?'.$ewnversion .'"></script>
';

$nfrcbody = '
  <div id="wrapper" style="position: relative; width: 100%; height: 675px">
    
    <div id="map" style="position: relative; width:100%; height: 675px; z-index: 1;"></div>
    
    <div class="btn-group btn-group-sm" role="group" id="mapDrops">
      <div class="btn-group btn-group-sm" role="group">
        <button type="button" class="btn btn-drop dropdown-toggle" data-toggle="dropdown" data-hover="dropdown">
          '.FMODEL.': <span id="models"></span> <span class="mapcaret"></span>
        </button>
        <ul class="dropdown-menu mapDropdown" id="modelDropdown">
          <li id="fmi">FMI Hirlam <span class="modelReso">- '.$data[fmi][fmireso].' km</span></li>
          <li id="mf">Meteo France ARPEGE <span class="modelReso">- '.$data[mf][mfreso].' km</span></li>
          <li id="wrf">EWN WRFDA <span class="modelReso">- '.$data[wrf][wrfreso].' km</span></li>
          <li id="dwd">DWD ICON <span class="modelReso">- '.$data[dwd][dwdreso].' km</span></li>
          <li id="gfs">GFS <span class="modelReso">- '.$data[gfs][gfsreso].' km</span></li>';
          if($showtest){
          $nfrcbody.= '<li id="test">TEST <span class="modelReso">- '.$data[test][testreso].' km</span></li>';}
        $nfrcbody.= '</ul>
      </div>    
      <div class="btn-group btn-group-sm" role="group" id="mapLayers">
        <button type="button" class="btn btn-drop dropdown-toggle" data-toggle="dropdown" data-hover="dropdown">
          '.FMAP.': <span id="maplayer"></span> <span class="mapcaret"></span>
        </button>
      </div> 
      <div id="windBtn">
        <span id="wBtnTxt">'.FANIMATION.': </span>
        <input id="windonoff" checked data-toggle="toggle" type="checkbox" data-size="mini" data-on="'.FON.'" data-off="'.FOFF.'" data-onstyle="mapon" data-offstyle="mapoff">
        <input id="windcolor" checked data-toggle="toggle" type="checkbox" data-size="mini" data-on="'.LIGHT.'" data-off="'.DARK.'" data-onstyle="mapon" data-offstyle="mapoff">
      </div>
    </div>
    
    <div class="btn-group btn-group-sm" role="group" id="baseDrop">
      <button type="button" class="btn btn-drop dropdown-toggle" data-toggle="dropdown" data-hover="dropdown">
        '.BASEMAPS.' <span class="mapcaret"></span>
      </button>
      <ul class="dropdown-menu mapDropdown" id="basemapDropdown">
        <li id="gray">Natural Earth</li>
        <li id="sat">'.SATELLITE.'</li>
        <li id="normal">Normal</li>
      </ul>
    </div>
      
    <div id="lalegend"></div>
    <div id="lelegend"></div>
  </div>
    
  <div id="eventsLog"></div>
    	
	<table style="width:100%;margin:20px 0;" class="nordui-table">
	<tr class="nordui-table-header">
	<th style="width:15%"></th>
	<th style="width:40%">'.FUTIMES.' ('.$tzabb.')</th>
	<th style="width:15%">'.FRESO.'</th>
	<th style="width:15%">'.FLENGTH.'</th>
	<th style="width:15%" class="col450">'.FSTEPS.'</th>
	</tr>
  <tr>
	<td class="finfocontenttd"><b>FMI Hirlam</b></td>
	<td class="finfocontenttd">'.$data[fmi][fmiupd].'</td>
	<td class="finfocontenttd">'.$data[fmi][fmireso].' km / '.$data[fmi][fmiresodeg].' &deg;</td>
	<td class="finfocontenttd">'.$data[fmi][fmilength].'h</td>
	<td class="finfocontenttd col450">'.$data[fmi][fmisteps].'h</td>
	</tr>
	<tr>
	<td class="finfocontenttd"><b>Meteo France ARPEGE</b></td>
	<td class="finfocontenttd">'.$data[mf][mfupd].'</td>
	<td class="finfocontenttd">'.$data[mf][mfreso].' km / '.$data[mf][mfresodeg].' &deg;</td>
	<td class="finfocontenttd">'.$data[mf][mflength].'h</td>
	<td class="finfocontenttd col450">'.$data[mf][mfsteps].'h</td>
	</tr>
	<tr>
	<td class="finfocontenttd"><b>EWN WRFDA</b></td>
	<td class="finfocontenttd">'.$data[wrf][wrfupd].'</td>
	<td class="finfocontenttd">'.$data[wrf][wrfreso].' km / '.$data[wrf][wrfresodeg].' &deg;</td>
	<td class="finfocontenttd">'.$data[wrf][wrflength].'h</td>
	<td class="finfocontenttd col450">'.$data[wrf][wrfsteps].'h</td>
	</tr>
	<tr>
	<td class="finfocontenttd"><b>DWD ICON</b></td>
	<td class="finfocontenttd">'.$data[dwd][dwdupd].'</td>
	<td class="finfocontenttd">'.$data[dwd][dwdreso].' km / '.$data[dwd][dwdresodeg].' &deg;</td>
	<td class="finfocontenttd">'.$data[dwd][dwdlength].'h</td>
	<td class="finfocontenttd col450">'.$data[dwd][dwdsteps].'h</td>
	</tr>
	<tr>
	<td class="finfocontenttd"><b>GFS</b></td>
	<td class="finfocontenttd">'.$data[gfs][gfsupd].'</td>
	<td class="finfocontenttd">'.$data[gfs][gfsreso].' km / '.$data[gfs][gfsresodeg].' &deg;</td>
	<td class="finfocontenttd">'.$data[gfs][gfslength].'h</td>
	<td class="finfocontenttd col450">'.$data[gfs][gfssteps].'h</td>
	</tr>
	</table>

<div style="display:none">
  <ul class="dropdown-menu mapDropdown" id="fmiDropdown">
    <li id="fmi_temp">'.FTEMP.'</li>
    <li id="fmi_chill">'.FCHILL.'</li>
    <li id="fmi_dew">'.FDEW.'</li>
    <li id="fmi_wind_nb">'.FWIND.'</li>
    <li id="fmi_gust_nb">'.FGUST.'</li>
    <li id="fmi_psnow">'.FPREC.' + '.FCLOUD.'</li>
    <li id="fmi_clouds">'.FCLOUD.'</li>
    <li id="fmi_precip">'.FPREC.'</li>
    <li id="fmi_baro">'.FBARO.'</li>
  </ul>
  
  <ul class="dropdown-menu mapDropdown" id="mfDropdown">
    <li id="mf_temp">'.FTEMP.'</li>
    <li id="mf_chill">'.FCHILL.'</li>
    <li id="mf_wind_nb">'.FWIND.'</li>
    <li id="mf_gust_nb">'.FGUST.'</li>
    <li id="mf_psnow">'.FPREC.' + '.FCLOUD.'</li>
    <li id="mf_precip">'.FPREC.'</li>
    <li id="mf_baro">'.FBARO.'</li>
    <li id="mf_cape">CAPE</li>
  </ul>
  
  <ul class="dropdown-menu mapDropdown" id="dwdDropdown">
    <li id="dwd_temp">'.FTEMP.'</li>
    <li id="dwd_chill">'.FCHILL.'</li>
    <li id="dwd_wind_nb">'.FWIND.'</li>
    <li id="dwd_gust_nb">'.FGUST.'</li>
    <li id="dwd_psnow">'.FPREC.' + '.FCLOUD.'</li>
    <li id="dwd_precip">'.FPREC.'</li>
    <li id="dwd_baro">'.FBARO.'</li>
  </ul>
  
  <ul class="dropdown-menu mapDropdown" id="wrfDropdown">
    <li id="wrf_dbz">'.MCOMPRADAR.'</li>
    <li id="wrf_temp">'.FTEMP.'</li>
    <li id="wrf_chill">'.FCHILL.'</li>
    <li id="wrf_dew">'.FDEW.'</li>
    <li id="wrf_tmpsfc">'.FTMPSFC.'</li>
    <li id="wrf_wind_nb">'.FWIND.'</li>
    <li id="wrf_gust_nb">'.FGUST.'</li>
    <li id="wrf_psnow">'.FPREC.' + '.FCLOUD.'</li>
    <li id="wrf_clouds">'.FCLOUD.'</li>
    <li id="wrf_precip">'.FPREC.'</li>
    <li id="wrf_rrate">'.FRATE.'</li>
    <li id="wrf_prectyp">'.FPRECTYP.'</li>
    <li id="wrf_accum">'.FACCUM.'</li>
    <li id="wrf_snowd">'.FSNOWD.'</li>
    <li id="wrf_baro">'.FBARO.'</li>
    <li id="wrf_wind250_nb">Jetstream</li>
    <li id="wrf_strm">Storm-motion</li>
    <li id="wrf_severe">'.SEVRISK.'</li>
    <li id="wrf_hail">'.SIGHAIL.'</li>
    <li id="wrf_tornado">'.SIGTOR.'</li>
    <li id="wrf_supercell">'.SIGSUP.'</li>
    <li id="wrf_cin">CIN</li>
    <li id="wrf_lftx">Lifted Index</li>
    <li id="wrf_cape">CAPE</li>
    <li id="wrf_srh3">SRH 0-3 km</li>
    <li id="wrf_shear01">LLS 0-1 km</li>
    <li id="wrf_shear06">DLS 0-6 km</li>
    <li id="wrf_hgt500">500 hPa Geopotential Height</li>
    <li id="wrf_plcl">Lifting condensation level</li>
    <li id="wrf_t850">850 hPa '.FTEMP.'</li>
  </ul>
  
  <ul class="dropdown-menu mapDropdown" id="gfsDropdown">
    <li id="gfs_temp">'.FTEMP.'</li>
    <li id="gfs_chill">'.FCHILL.'</li>
    <li id="gfs_dew">'.FDEW.'</li>
    <li id="gfs_wind_nb">'.FWIND.'</li>
    <li id="gfs_psnow">'.FPREC.'</li>
    <li id="gfs_baro">'.FBARO.'</li>
    <li id="gfs_wind250_nb">Jetstream</li>
    <li id="gfs_tornado">'.SIGTOR.'</li>
    <li id="gfs_supercell">'.SIGSUP.'</li>
    <li id="gfs_cape">CAPE</li>
    <li id="gfs_lftx">LI Index</li>
    <li id="gfs_hgt500">500 hPa Geopotential Height</li>
    <li id="gfs_plcl>Lifting condensation level</li>
    <li id="gfs_t850">850 hPa '.FTEMP.'</li>
  </ul>
  
  <ul class="dropdown-menu mapDropdown" id="testDropdown">
    <li id="test_dbz">'.MCOMPRADAR.'</li>
    <li id="test_temp">'.FTEMP.'</li>
    <li id="test_wind">'.FWIND.'</li>
    <li id="test_psnow">'.FPREC.' + '.FCLOUD.'</li>
    <li id="test_precip">'.FPREC.'</li>
    <li id="test_baro">'.FBARO.'</li>
    <li id="test_cape">CAPE</li>
  </ul>
</div>

<table class="letable precip1" style="width:70px;float:right">
<tr><td class="legendhead" colspan="2">mm</td></tr>
<tr><td class="letda" style="background-color:rgb(136,0,102)"></td><td class="letdb">30+</td></tr>
<tr><td class="letda" style="background-color:rgb(131,0,136)"></td><td class="letdb">25-30</td></tr>
<tr><td class="letda" style="background-color:rgb(92,1,135)"></td><td class="letdb">20-25</td></tr>
<tr><td class="letda" style="background-color:rgb(0,0,153)"></td><td class="letdb">15-20</td></tr>
<tr><td class="letda" style="background-color:rgb(17,2,134)"></td><td class="letdb">10-15</td></tr>
<tr><td class="letda" style="background-color:rgb(2,12,156)"></td><td class="letdb">6-10</td></tr>
<tr><td class="letda" style="background-color:rgb(1,34,193)"></td><td class="letdb">4-6</td></tr>
<tr><td class="letda" style="background-color:rgb(1,64,209)"></td><td class="letdb">2-4</td></tr>
<tr><td class="letda" style="background-color:rgb(12,107,255)"></td><td class="letdb">1-2</td></tr>
<tr><td class="letda" style="background-color:rgb(50,162,255)"></td><td class="letdb">0.5-1</td></tr>
<tr><td class="letda" style="background-color:rgb(89,204,255)"></td><td class="letdb">0.2-0.5</td></tr>
<tr><td class="letda" style="background-color:rgb(128,235,255)"></td><td class="letdb">0.1-0.2</td></tr>
<tr class="lesleetsnow"><td class="letda" style="text-align:center;"><img src="http://static.nordicweather.net/img/snow.png" alt="" /></td><td class="letdb">'.FSNOW.'</td></tr>
<tr class="lesleetsnow"><td class="letda" style="text-align:center;"><img src="http://static.nordicweather.net/img/sleet.png" alt="" /></td><td class="letdb">'.FSLEET.'</td></tr>
<tr class="lehail"><td class="letda" style="text-align:center;"><img src="http://static.nordicweather.net/img/hail.png" alt="" /></td><td class="letdb">'.FHAIL.'</td></tr>
<tr class="lefrz"><td class="letda" style="text-align:center;"><img src="http://static.nordicweather.net/img/frz.png" alt="" /></td><td class="letdb">'.FFRZ.'</td></tr>
<tr class="lelight"><td class="letda" style="text-align:center;"><img src="http://static.nordicweather.net/img/lightning.png" alt="" /></td><td class="letdb">'.FLIG.'</td></tr>
</table>

<table class="letable precip" style="width:40px;float:right">
<tr><td class="legendhead" colspan="2">mm</td></tr>
<tr><td class="letda2" style="background-color:rgb(157,128,187)"></td><td rowspan="2" class="letdb">50</td></tr>
<tr><td class="letda2" style="background-color:rgb(186,166,208)"></td>
<tr><td class="letda2" style="background-color:rgb(214,202,228)"></td><td rowspan="2" class="letdb">30</td></tr>
<tr><td class="letda2" style="background-color:rgb(252,227,227)"></td>
<tr><td class="letda2" style="background-color:rgb(244,209,209)"></td><td rowspan="2" class="letdb">22</td></tr>
<tr><td class="letda2" style="background-color:rgb(222,161,161)"></td>
<tr><td class="letda2" style="background-color:rgb(191,93,93)"></td><td rowspan="2" class="letdb">14</td></tr>
<tr><td class="letda2" style="background-color:rgb(191,0,0)"></td>
<tr><td class="letda2" style="background-color:rgb(222,0,0)"></td><td rowspan="2" class="letdb">9</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,0,0)"></td>
<tr><td class="letda2" style="background-color:rgb(255,112,0)"></td><td rowspan="2" class="letdb">7</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,186,0)"></td>
<tr><td class="letda2" style="background-color:rgb(246,255,0)"></td><td rowspan="2" class="letdb">5</td></tr>
<tr><td class="letda2" style="background-color:rgb(170,253,166)"></td>
<tr><td class="letda2" style="background-color:rgb(149,243,145)"></td><td rowspan="2" class="letdb">4</td></tr>
<tr><td class="letda2" style="background-color:rgb(120,230,115)"></td>
<tr><td class="letda2" style="background-color:rgb(94,217,88)"></td><td rowspan="2" class="letdb">3</td></tr>
<tr><td class="letda2" style="background-color:rgb(70,206,63)"></td>
<tr><td class="letda2" style="background-color:rgb(50,173,43)"></td><td rowspan="2" class="letdb">2</td></tr>
<tr><td class="letda2" style="background-color:rgb(45,30,165)"></td>
<tr><td class="letda2" style="background-color:rgb(72,60,200)"></td><td rowspan="2" class="letdb">1</td></tr>
<tr><td class="letda2" style="background-color:rgb(30,110,235)"></td>
<tr><td class="letda2" style="background-color:rgb(60,150,245)"></td><td rowspan="2" class="letdb">0.6</td></tr>
<tr><td class="letda2" style="background-color:rgb(120,185,250)"></td>
<tr><td class="letda2" style="background-color:rgb(150,210,250)"></td><td rowspan="2" class="letdb">0.2</td></tr>
<tr><td class="letda2" style="background-color:rgb(180,240,250)"></td>
</table>

<table class="letable temp chill tmpsfc dew t850" style="width:55px;float:right">
<tr><td class="letda2" style="background-color:rgb(223,6,84)"></td><td></td></tr>
<tr><td class="letda2" style="background-color:rgb(219, 9, 73)"></td><td></td></tr>
<tr><td class="letda2" style="background-color:rgb(215, 12, 62)"></td><td rowspan="5" class="letdb2">35&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(211, 15, 51)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(207, 18, 40)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(203, 21, 29)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(199, 24, 18)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(195, 28, 7)"></td><td rowspan="5" class="letdb2">30&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(207, 32, 7)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(211, 42, 8)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(215,52,8)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(219, 62, 9)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(223, 72, 9)"></td><td rowspan="5" class="letdb2">25&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(227,82,9)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(232, 92, 10)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(236, 102, 10)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(240, 112, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 122, 11)"></td><td rowspan="5" class="letdb2">20&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 144, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 152, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 160, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 168, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 176, 11)"></td><td rowspan="5" class="letdb2">15&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 184, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 192, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 200, 11)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244, 208, 11)"></td></tr>
<tr><td class="letda2" style="background-color:#f4d90b"></td><td rowspan="5" class="letdb2">10&deg;</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td></tr>
<tr><td class="letda2" style="background-color:#ebe816"></td></tr>
<tr><td class="letda2" style="background-color:#e6eb20"></td></tr>
<tr><td class="letda2" style="background-color:#dcec2e"></td></tr>
<tr><td class="letda2" style="background-color:#d2ee3c"></td><td rowspan="5" class="letdb2">5&deg;</td></tr>
<tr><td class="letda2" style="background-color:#c8f04a"></td></tr>
<tr><td class="letda2" style="background-color:#bef158"></td></tr>
<tr><td class="letda2" style="background-color:#b4f266"></td></tr>
<tr><td class="letda2" style="background-color:#aff474"></td></tr>
<tr><td class="letda2" style="background-color:#aaf682"></td><td rowspan="5" class="letdb2">0&deg;</td></tr>
<tr><td class="letda2" style="background-color:#c7e4ff"></td></tr>
<tr><td class="letda2" style="background-color:#b5dcff"></td></tr>
<tr><td class="letda2" style="background-color:#a3d4ff"></td></tr>
<tr><td class="letda2" style="background-color:#9ad0ff"></td></tr>
<tr><td class="letda2" style="background-color:#91ccff"></td><td rowspan="5" class="letdb2">-5&deg;</td></tr>
<tr><td class="letda2" style="background-color:#7fc4ff"></td></tr>
<tr><td class="letda2" style="background-color:#6dbcff"></td></tr>
<tr><td class="letda2" style="background-color:#5bb4ff"></td></tr>
<tr><td class="letda2" style="background-color:#49acff"></td></tr>
<tr><td class="letda2" style="background-color:#259aff"></td><td rowspan="5" class="letdb2">-10&deg;</td></tr>
<tr><td class="letda2" style="background-color:#1392ff"></td></tr>
<tr><td class="letda2" style="background-color:#0082ef"></td></tr>
<tr><td class="letda2" style="background-color:#0072cf"></td></tr>
<tr><td class="letda2" style="background-color:#0062af"></td></tr>
<tr><td class="letda2" style="background-color:#00528f"></td><td rowspan="5" class="letdb2">-15&deg;</td></tr>
<tr><td class="letda2" style="background-color:#00467f"></td></tr>
<tr><td class="letda2" style="background-color:#003c7f"></td></tr>
<tr><td class="letda2" style="background-color:#00327f"></td></tr>
<tr><td class="letda2" style="background-color:#00287f"></td></tr>
<tr><td class="letda2" style="background-color:#001e7f"></td><td rowspan="5" class="letdb2">-20&deg;</td></tr>
<tr><td class="letda2" style="background-color:#00187f"></td></tr>
<tr><td class="letda2" style="background-color:#00007f"></td></tr>
<tr><td class="letda2" style="background-color:#0c007f"></td></tr>
<tr><td class="letda2" style="background-color:#19007f"></td></tr>
<tr><td class="letda2" style="background-color:#25007f"></td><td rowspan="5" class="letdb2">-25&deg;</td></tr>
<tr><td class="letda2" style="background-color:#32007f"></td></tr>
<tr><td class="letda2" style="background-color:#3e007f"></td></tr>
<tr><td class="letda2" style="background-color:#4b007f"></td></tr>
<tr><td class="letda2" style="background-color:#57007f"></td></tr>
<tr><td class="letda2" style="background-color:#64007f"></td><td rowspan="5" class="letdb2">-30&deg;</td></tr>
<tr><td class="letda2" style="background-color:#78048d"></td></tr>
<tr><td class="letda2" style="background-color:#870898"></td></tr>
<tr><td class="letda2" style="background-color:#960ca3"></td></tr>
<tr><td class="letda2" style="background-color:#a510ae"></td></tr>
<tr><td class="letda2" style="background-color:rgb(180,20,185)"></td><td rowspan="6" class="letdb2">-35&deg;</td></tr>
<tr><td class="letda2" style="background-color:rgb(182,18,160)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(185,16,150)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(188,14,140)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(191,13,130)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(194,12,120)"></td></tr>
</table>

<table class="letable wind gust" style="width:40px;float:right">
<tr><td class="legendhead" colspan="2">'.$wunit.'</td></tr>
<tr><td class="letda2" style="background-color:#f529d1"></td><td class="letdb">'.$wspeeds[10].'+</td></tr>
<tr><td class="letda2" style="background-color:rgb(153,0,0)"></td><td class="letdb">'.$wspeeds[9].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(191,0,0)"></td><td class="letdb">'.$wspeeds[8].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,0,0)"></td><td class="letdb">'.$wspeeds[7].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,112,0)"></td><td class="letdb">'.$wspeeds[6].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(238,172,22)"></td><td class="letdb">'.$wspeeds[5].'</td></tr>
<tr><td class="letda2" style="background-color:#ffff00"></td><td class="letdb">'.$wspeeds[4].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(223,248,6)"></td><td class="letdb">'.$wspeeds[3].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(160,230,23)"></td><td class="letdb">'.$wspeeds[2].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(75,205,46)"></td><td class="letdb">'.$wspeeds[1].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(0,153,0)"></td><td class="letdb">'.$wspeeds[0].'</td></tr>
</table>

<table class="letable wind250" style="width:45px;float:right">
<tr><td class="legendhead" colspan="2">'.$wunit.'</td></tr>
<tr><td class="letda2" style="background-color:rgb(244,209,209)"></td><td class="letdb">'.$jet[7].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(222,161,161)"></td><td class="letdb">'.$jet[6].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(191,93,93)"></td><td class="letdb">'.$jet[5].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(191,0,0)"></td><td class="letdb">'.$jet[4].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(222,0,0)"></td><td class="letdb">'.$jet[3].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,0,0)"></td><td class="letdb">'.$jet[2].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,112,0)"></td><td class="letdb">'.$jet[1].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(246,255,0)"></td><td class="letdb">'.$jet[0].'</td></tr>
</table>

<table class="letable strm" style="width:45px;float:right">
<tr><td class="legendhead" colspan="2">'.$wunit.'</td></tr>
<tr><td class="letda2" style="background-color:#f529d1"></td><td class="letdb">'.$strm[10].'+</td></tr>
<tr><td class="letda2" style="background-color:rgb(153,0,0)"></td><td class="letdb">'.$strm[9].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(191,0,0)"></td><td class="letdb">'.$strm[8].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,0,0)"></td><td class="letdb">'.$strm[7].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,112,0)"></td><td class="letdb">'.$strm[6].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(238,172,22)"></td><td class="letdb">'.$strm[5].'</td></tr>
<tr><td class="letda2" style="background-color:#ffff00"></td><td class="letdb">'.$strm[4].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(223,248,6)"></td><td class="letdb">'.$strm[3].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(160,230,23)"></td><td class="letdb">'.$strm[2].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(75,205,46)"></td><td class="letdb">'.$strm[1].'</td></tr>
<tr><td class="letda2" style="background-color:rgb(0,153,0)"></td><td class="letdb">'.$strm[0].'</td></tr>
</table>

<table class="letable cape" style="width:55px;float:right">
<tr><td class="legendhead" colspan="2">J/kg</td></tr>
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">2600</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">2400</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">2200</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">2000</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">1800</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">1600</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">1400</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">1200</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">1000</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">800</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">600</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">400</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">200</td></tr>
</table>

<table class="letable dbz" style="width:55px;float:right">
<tr><td class="legendhead" colspan="2">dBZ</td></tr>
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">70</td></tr>
<tr><td class="letda2" style="background-color:#dc0050"></td><td class="letdb">65</td></tr>
<tr><td class="letda2" style="background-color:#c8003c"></td><td class="letdb">60</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">55</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">50</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">45</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">40</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">35</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">30</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">25</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">20</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">15</td></tr>
<tr><td class="letda2" style="background-color:#05CDAA"></td><td class="letdb">10</td></tr>
<tr><td class="letda2" style="background-color:#0A9BE1"></td><td class="letdb">5</td></tr>
</table>

<table class="letable lftx" style="width:40px;float:right">
<tr><td class="legendhead" colspan="2">K</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">-1</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">-2</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">-3</td></tr>
<tr><td class="letda2" style="background-color:#ffff00"></td><td class="letdb">-4</td></tr>
<tr><td class="letda2" style="background-color:#ffcc00"></td><td class="letdb">-5</td></tr>
<tr><td class="letda2" style="background-color:#ff9900"></td><td class="letdb">-6</td></tr>
<tr><td class="letda2" style="background-color:#ff6600"></td><td class="letdb">-7</td></tr>
<tr><td class="letda2" style="background-color:#ff3300"></td><td class="letdb">-8</td></tr>
<tr><td class="letda2" style="background-color:#f529d1"></td><td class="letdb">-9</td></tr>
</table>

<table class="letable srh1 srh3" style="width:50px;float:right">
<tr><td class="legendhead" colspan="2">m&sup2;/s&sup2;</td></tr>
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">950</td></tr>
<tr><td class="letda2" style="background-color:#dc0050"></td><td class="letdb">900</td></tr>
<tr><td class="letda2" style="background-color:#c8003c"></td><td class="letdb">850</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">800</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">750</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">700</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">650</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">600</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">550</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">500</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">450</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">400</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">350</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">300</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">250</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">200</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">150</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">100</td></tr>
</table>

<table class="letable shear01" style="width:45px;float:right">
<tr><td class="legendhead" colspan="2">m/s</td></tr>
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">46</td></tr>
<tr><td class="letda2" style="background-color:#dc0050"></td><td class="letdb">44</td></tr>
<tr><td class="letda2" style="background-color:#c8003c"></td><td class="letdb">42</td></tr>
<tr><td class="letda2" style="background-color:#a50b19"></td><td class="letdb">40</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">38</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">36</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">34</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">32</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">30</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">28</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">26</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">24</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">22</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">20</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">16</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">12</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">8</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">4</td></tr>
</table>

<table class="letable shear06" style="width:45px;float:right">
<tr><td class="legendhead" colspan="2">m/s</td></tr>
<tr><td class="letda2" style="background-color:#e6005a"></td><td class="letdb">30</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">28</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">26</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">24</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">22</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">20</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">18</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">16</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">14</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">12</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">10</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">8</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">6</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">4</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">2</td></tr>
</table>

<table class="letable tornado" style="width:45px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">3.0</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">2.8</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">2.6</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">2.4</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">2.2</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">2.0</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">1.8</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">1.6</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">1.4</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">1.2</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">1.0</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">0.8</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">0.6</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">0.4</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">0.2</td></tr>
</table>

<table class="letable supercell" style="width:45px;float:right">
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">15</td></tr>
<tr><td class="letda2" style="background-color:#ba130f"></td><td class="letdb">14</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">13</td></tr>
<tr><td class="letda2" style="background-color:#dc2708"></td><td class="letdb">12</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">11</td></tr>
<tr><td class="letda2" style="background-color:#f4440b"></td><td class="letdb">10</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">9</td></tr>
<tr><td class="letda2" style="background-color:#f47a0b"></td><td class="letdb">8</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">7</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">6</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">5</td></tr>
<tr><td class="letda2" style="background-color:#f4e60b"></td><td class="letdb">4</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">3</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">2</td></tr>
<tr><td class="letda2" style="background-color:#99ff66"></td><td class="letdb">1</td></tr>
</table>

<table class="letable hail" style="width:45px;float:right">
<tr><td class="legendhead" colspan="2">%</td></tr>
<tr><td class="letda2" style="background-color:#8C0A16"></td><td class="letdb">90</td></tr>
<tr><td class="letda2" style="background-color:#ce2007"></td><td class="letdb">80</td></tr>
<tr><td class="letda2" style="background-color:#e83709"></td><td class="letdb">70</td></tr>
<tr><td class="letda2" style="background-color:#f45f0b"></td><td class="letdb">60</td></tr>
<tr><td class="letda2" style="background-color:#f4950b"></td><td class="letdb">50</td></tr>
<tr><td class="letda2" style="background-color:#f4b00b"></td><td class="letdb">40</td></tr>
<tr><td class="letda2" style="background-color:#f4cb0b"></td><td class="letdb">30</td></tr>
<tr><td class="letda2" style="background-color:#ccff00"></td><td class="letdb">20</td></tr>
<tr><td class="letda2" style="background-color:#99ff00"></td><td class="letdb">10</td></tr>
</table>

<table class="letable snowd" style="width:60px;float:right;">
<tr><td class="legendhead" colspan="2">cm</td></tr>
<tr><td class="letda2" style="background-color:#c00099"></td><td class="letdb">90+</td></tr>
<tr><td class="letda2" style="background-color:#800099"></td><td class="letdb">80-90</td></tr>
<tr><td class="letda2" style="background-color:#400099"></td><td class="letdb">70-80</td></tr>
<tr><td class="letda2" style="background-color:#000099"></td><td class="letdb">60-70</td></tr>
<tr><td class="letda2" style="background-color:#0000cc"></td><td class="letdb">50-60</td></tr>
<tr><td class="letda2" style="background-color:#0019ff"></td><td class="letdb">40-50</td></tr>
<tr><td class="letda2" style="background-color:#0059ff"></td><td class="letdb">30-40</td></tr>
<tr><td class="letda2" style="background-color:#0099ff"></td><td class="letdb">20-30</td></tr>
<tr><td class="letda2" style="background-color:#20b2ff"></td><td class="letdb">10-20</td></tr>
<tr><td class="letda2" style="background-color:#40ccff"></td><td class="letdb">1-10</td></tr>
</table>

<table class="letable prectyp" style="width:80px;float:right">
<tr><td class="letda" style="background-color:#c00099;width:20px"></td><td class="letdb">'.FSNOW.'</td></tr>
<tr><td class="letda" style="background-color:rgb(75,205,46)"></td><td class="letdb">'.FSLEET.'</td></tr>
<tr><td class="letda" style="background-color:#0000cc"></td><td class="letdb">'.FRAIN.'</td></tr>
</table>

<table class="letable accum" style="width:50px;float:right">
<tr><td class="legendhead" colspan="2">mm</td></tr>
<tr><td class="letda2" style="background-color:rgb(157,128,187)"></td><td rowspan="2" class="letdb">&gt;120</td></tr>
<tr><td class="letda2" style="background-color:rgb(186,166,208)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(214,202,228)"></td><td rowspan="2" class="letdb">110</td></tr>
<tr><td class="letda2" style="background-color:rgb(252,227,227)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(244,209,209)"></td><td rowspan="2" class="letdb">100</td></tr>
<tr><td class="letda2" style="background-color:rgb(222,161,161)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(191,93,93)"></td><td rowspan="2" class="letdb">90</td></tr>
<tr><td class="letda2" style="background-color:rgb(191,0,0)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(222,0,0)"></td><td rowspan="2" class="letdb">80</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,0,0)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(255,112,0)"></td><td rowspan="2" class="letdb">70</td></tr>
<tr><td class="letda2" style="background-color:rgb(255,186,0)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(246,255,0)"></td><td rowspan="2" class="letdb">60</td></tr>
<tr><td class="letda2" style="background-color:rgb(170,253,166)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(149,243,145)"></td><td rowspan="2" class="letdb">50</td></tr>
<tr><td class="letda2" style="background-color:rgb(120,230,115)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(70,206,63)"></td><td rowspan="2" class="letdb">40</td></tr>
<tr><td class="letda2" style="background-color:rgb(50,173,43)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(45,30,165)"></td><td rowspan="2" class="letdb">30</td></tr>
<tr><td class="letda2" style="background-color:rgb(72,60,200)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(30,110,235)"></td><td rowspan="2" class="letdb">20</td></tr>
<tr><td class="letda2" style="background-color:rgb(60,150,245)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(120,185,250)"></td><td rowspan="2" class="letdb">10</td></tr>
<tr><td class="letda2" style="background-color:rgb(150,210,250)"></td></tr>
<tr><td class="letda2" style="background-color:rgb(180,240,250);height: 7px;"></td></tr>
</table>

<table class="letable plcl" style="width:50px;float:right">
<tr><td class="legendhead" colspan="2">hPa</td></tr>
<tr><td class="letda2" style="background-color:rgba(100,0,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(50,0,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,50,254,0.85)"></td><td rowspan="4" class="letdb2">960</td></tr>
<tr><td class="letda2" style="background-color:rgba(0,100,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,150,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,200,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,230,240,0.85)"></td><td rowspan="4" class="letdb2">880</td></tr>
<tr><td class="letda2" style="background-color:rgba(0,230,160,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,230,120,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,230,80,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,240,40,0.85)"></td><td rowspan="4" class="letdb2">800</td></tr>
<tr><td class="letda2" style="background-color:rgba(0,250,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,254,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,225,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,200,0,0.85)"></td><td rowspan="4" class="letdb2">720</td></tr>
<tr><td class="letda2" style="background-color:rgba(254,175,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,150,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(230,125,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(230,100,0,0.85)"></td><td rowspan="4" class="letdb2">640</td></tr>
<tr><td class="letda2" style="background-color:rgba(220,75,30,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(200,50,30,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(180,25,30,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(170,0,30,0.85)"></td><td rowspan="4" class="letdb2">560</td></tr>
<tr><td class="letda2" style="background-color:rgba(180,0,50,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(200,0,100,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,0,200,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,0,254,0.85)"></td>
</table>

<table class="letable hgt500" style="width:50px;float:right">
<tr><td class="legendhead" colspan="2">gpdm</td></tr>
<tr><td class="letda2" style="background-color:rgba(180,0,50,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(170,0,30,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(180,25,30,0.85)"></td><td rowspan="4" class="letdb2">584</td></tr>
<tr><td class="letda2" style="background-color:rgba(200,50,30,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(220,75,30,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(230,100,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(230,125,0,0.85)"></td><td rowspan="4" class="letdb2">568</td></tr>
<tr><td class="letda2" style="background-color:rgba(254,150,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,175,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,200,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(254,225,0,0.85)"></td><td rowspan="4" class="letdb2">552</td></tr>
<tr><td class="letda2" style="background-color:rgba(254,254,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,250,0,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,240,40,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,230,80,0.85)"></td><td rowspan="4" class="letdb2">536</td></tr>
<tr><td class="letda2" style="background-color:rgba(0,230,120,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,230,160,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,230,240,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,200,254,0.85)"></td><td rowspan="4" class="letdb2">520</td></tr>
<tr><td class="letda2" style="background-color:rgba(0,150,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,100,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(0,50,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(50,0,254,0.85)"></td><td rowspan="4" class="letdb2">504</td></tr>
<tr><td class="letda2" style="background-color:rgba(100,0,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(150,0,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(200,0,254,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(250,0,254,0.85)"></td><td rowspan="4" class="letdb2">488</td></tr>
<tr><td class="letda2" style="background-color:rgba(200,0,200,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(100,0,100,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(50,0,50,0.85)"></td>
<tr><td class="letda2" style="background-color:rgba(25,0,25,0.85)"></td>
</table>

<table class="letable top_wrf_severe" style="width:380px;float:right">
<tr>
<td class="letda">'.LEV3.'</td>
<td class="letda" colspan="2">'.LEV2.'</td>
<td class="letda" colspan="2">'.TS.'</td>
</tr><tr>
<td class="letda2" style="background-color:rgb(245,41,209);width:20%;font-weight:bold;">15%</td>
<td class="letda2" style="background-color:rgb(191,0,0);width:20%;font-weight:bold;">15%</td>
<td class="letda2" style="background-color:rgb(255,112,0);width:20%;font-weight:bold;">5%</td>
<td class="letda2" style="background-color:rgb(255,255,0);width:20%;font-weight:bold;color:#222;">50%</td>
<td class="letda2" style="background-color:rgb(75,205,46);width:20%;font-weight:bold;">15%</td>
</table>
';
?>