<?php
############################################################################
# European Weather Network v. 2016.1 (Jan 2016)
############################################################################
#
# Author:	Henkka <nordicweather@gmail.com.net>
#
# Copyright:	(c) 2008-2016 Copyright nordicweather.net.
#
############################################################################
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
############################################################################
#
# This work is licensed under the 
# Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License. 
# To view a copy of this license, visit 
# http://creativecommons.org/licenses/by-nc-nd/3.0/.
#
############################################################################

date_default_timezone_set("UTC");
$tkey=hash('sha256', 'euweather'.date("dmYH"));
date_default_timezone_set($tzabb);
$tzdiff = date("Z")*1000;

if($_GET[lat] && is_numeric($_GET[lat])){$centerlat=$_GET[lat];}
if($_GET[lon] && is_numeric($_GET[lon])){$centerlon=$_GET[lon];}

###########################################################

$ewnhead='
<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet"/>
<link href="http://static.nordicweather.net/css/leaflet-0.7.3.min.css" rel="stylesheet"/>
<link href="http://static.nordicweather.net/css/bootstrap_ewn.css?'.$ewnversion .'" rel="stylesheet"/>
<link rel="stylesheet" href="'.$path_to_css.'ewn.css?'.$ewnversion .'" />
<link rel="stylesheet" href="http://static.nordicweather.net/css/lcd.css" />
<style>
</style>
';

###########################################################

if($jqueryload ){
  $ewnfooter.='
  <script src="http://static.nordicweather.net/jq/jquery-1.10.2.min.js"></script>';
}
$ewnfooter.='
  <script src="http://static.nordicweather.net/jq/jq_plugins.min.js?'.$ewnversion .'"></script>';
if($bootstrapload ){
  $ewnfooter.='
  <script src="http://static.nordicweather.net/jq/bootstrap-3.3.5.min.js"></script>';
}
$ewnfooter.='
  <script src="http://static.nordicweather.net/jq/bootstrap_plugins.min.js?'.$ewnversion .'"></script>
  <script src="http://static.nordicweather.net/jq/leaflet-0.7.3.min.js"></script>
  <script src="http://static.nordicweather.net/jq/leaflet_plugins.min.js?'.$ewnversion .'"></script>
<script src="http://euweather.eu/jq/steelseries_tween.min.js"></script>
<script src="http://euweather.eu/jq/eugauges.js"></script>
<script src="http://euweather.eu/jq/highstock.js"></script>
<script>
';

$ewnfooter.='
  var lat = '.$centerlat.',lon = '.$centerlon.',pco="'.$pco.'",tk="'.$tkey.'",time='.time().';
  var sat,satline,dark,tpws,tmet,wpws,wmet,ppws,road,synop,data;
  var fdaynames = ['.$daynames.'],rgr=1;
  var lang="'.$lang.'",wiset="ms",p="'.$p.'";
  var req = "'.$_SERVER["REQUEST_URI"].'";
  var txtbaro="'.FBARO.'",txthum="'.FHUM.'",txtprec="'.FPREC.'",txtrate="'.RRATE.'",txtsun="'.SUN.'",txtsnow="'.SNOWD.'";
  var txtTemp="'.FTEMP.'",txtDew="'.DEWP.'",txtHumidx="HumIdx",txtChill="'.FCHILL.'",txtHeat="'.HEAT.'",txtPrec="'.FPREC.'",txtHum="'.HUMI.'",txtBaro="'.FBARO.'",txtWind="'.WIND.'",txtSolar="'.SOLAR.'";
</script>
<script src="'.$path_to_js.'ewn_stations.js?'.$ewnversion .'"></script>
';

###########################################################

$settingsbox = "<button class='btn btn-default' id='gpsbtn' style='display:none;vertical-align: middle;margin-top:10px'>
<i class='fa fa-bullseye' style='color:#FFA500;font-size:22px;top:2px;position:relative;margin-right:2px;'></i>
&nbsp;&nbsp;".LOCATEME."</button>
<div class='popoverhead'>".SELECTWUNIT."</div>
<input type='radio' class='wunitbox' name='wunit' id='ms'/>&nbsp;<label for='ms'>m/s</label>&nbsp;&nbsp;
<input type='radio' class='wunitbox' name='wunit' id='kmh'/>&nbsp;<label for='kmh'>km/h</label>&nbsp;&nbsp;
<input type='radio' class='wunitbox' name='wunit' id='mph'/>&nbsp;<label for='mph'>mph</label>&nbsp;&nbsp;
<input type='radio' class='wunitbox' name='wunit' id='kts'/>&nbsp;<label for='kts'>kts</label>
";

$map = '<div class="tabbs" id="radar" style="background:#141414;border-width:0px;height:800px;">
  <div class="mapbutton" id="settingsbtn">
    <i class="fa fa-gear" style="font-size:28px;position: relative;top:-3px"></i>
    <span class="mapbtntxt">'.SETTINGS.'</span>
  </div>
  <div class="ma-popup" id="tipbasemaps" style="display:none;bottom: 60px;width:180px;">
    <div class="ma-popup-content-wrapper">
      <div class="ma-popup-content">
        <i id="mapclose" class="fa fa-times" style="color:#ccc"></i>
        <div class="ma-popup-header" style="margin:6px 0px;">'.FTEMP.'</div>
        <input type="checkbox" class="checkboxesc" id="tpws" value="tpws"/>
        <label for="tpws">'.PWSSTATIONS.'</label><br/>
        <input type="checkbox" class="checkboxesc" id="tmet" value="tmet"/>
        <label for="tmet">'.METOFFICESTATION.'</label><br/>
        <input type="checkbox" class="checkboxesc" id="synop" value="synop"/>
        <label for="synop">Synop/Metar</label><br/>
        <input type="checkbox" class="checkboxesc" id="road" value="road"/>
        <label for="road">'.ROADSTATIONS.'</label><br/>
        <div class="ma-popup-header" style="margin:6px 0px;">'.FWIND.'</div>
        <input type="checkbox" class="checkboxesc" id="wpws" value="wpws"/>
        <label for="wpws">'.PWSSTATIONS.'</label><br/>
        <input type="checkbox" class="checkboxesc" id="wmet" value="wmet"/>
        <label for="wmet">'.METOFFICESTATION.'</label><br/>
        <div class="ma-popup-header" style="margin:6px 0px;">'.FRAIN.'</div>
        <input type="checkbox" class="checkboxesc" id="ppws" value="ppws"/>
        <label for="ppws">'.PWSSTATIONS.'</label><br/>
      </div>
    </div>
  </div>
</div>';

###########################################################
# PUT TOGETHER BODY

$nfrcbody = '
<nav class="navbar navbar-small frcnavbar" role="navigation">		
  <div class="" id="main-nav">
    <div id="bigear">
      <i class="favobtn fa fa-gear menuicon" style="font-size:28px;" data-container="body" data-toggle="popover" data-placement="left" data-html="true" data-content="'.$settingsbox.'"></i>
    </div>
    <ul class="nav navbar-nav navbar-left frcnav">
      <li><span class="frcnavs selected" id="frc0" data-id="dummy">'.MAP.'</span></li>
      <li><span class="frcnavs" id="frc3" data-id="dummy">'.WXSTATIONS.'</span></li>
      <li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown">'.TABLES.'</a>
        <ul class="dropdown-menu">
          <li><a href="#" class="frcnavs" data-id="pws">'.PWSSTATIONS.'</a></li>
          <li><a href="#" class="frcnavs" data-id="road">'.ROADSTATIONS.'</a></li>
          <li><a href="#" class="frcnavs" data-id="synop">Metar/Synop</a></li>
          <li><a href="#" class="frcnavs" data-id="dwd">DWD - '.defcountries('Germany').'</a></li>
          <li><a href="#" class="frcnavs" data-id="emhi">EMHI - '.defcountries('Estonia').'</a></li>
          <li><a href="#" class="frcnavs" data-id="fmi">FMI - '.defcountries('Finland').'</a></li>
          <li><a href="#" class="frcnavs" data-id="knmi">KNMI - '.defcountries('Netherlands').'</a></li>
          <li><a href="#" class="frcnavs" data-id="swiss">MeteoSwiss - '.defcountries('Switzerland').'</a></li>
          <li><a href="#" class="frcnavs" data-id="met">MET Norway</a></li>
          <li><a href="#" class="frcnavs" data-id="smhi">SMHI - '.defcountries('Sweden').'</a></li>
          <li><a href="#" class="frcnavs" data-id="ukmo">UKMO - '.defcountries('UK').'</a></li>
          <li><a href="#" class="frcnavs" data-id="zamg">ZAMG - '.defcountries('Austria').'</a></li>
        </ul>
      </li>
      <li><span class="frcnavs" id="frc2" data-id="dummy">'.TOPLISTS.'</span></li>
    </ul>
  </div><!-- /.navbar-collapse -->
</nav>
        
<div style="margin:20px 0 20px">
  <div class="frctables" id="frc0table">'.$map.'</div>
  <div class="frctables" id="frc1table" style="display:none"></div>
  <div class="frctables" id="frc2table" style="display:none"></div>
  <div class="frctables" id="frc3table" style="display:none"></div>
</div>
';

###########################################################

function fixwsp($num,$ext,$round){
  global $wunit;
  if($wunit=="kmh"){$num = sprintf("%01.1f",$num*3.6);$wu="km/h";}
  elseif($wunit=="mph"){$num = sprintf("%01.1f",$num*2.23693629);$wu="mph";}
  elseif($wunit=="kts"){$num = sprintf("%01.1f",$num*1.94384449);$wu="kts";}
  else{$wu="m/s";}
  if($round){$num=round($num);}
  if($ext){return $num.' '.$wu;}
  else{return $num;}
}

?>